<template>
	<div class="row"></div>
</template>

<script>
import err_msg from '@js/errmsg'
export default {
	mixins: [$mixin],
	methods: {
		init(callBack) {
			this.$http
				.get({
					url: 'user/getToken',
					params: {
						tokenMd5: this.$route.query.tokenMd5
					}
				})
				.then(
					({ data }) => {
						if (data && data.token) {
							sessionStorage.setItem(
								'userInfo',
								JSON.stringify({ token: data.token })
							)
							callBack && callBack()
						} else {
							this.alert('二维码已过期', () => {})
						}
					},
					msg => {
						this.alert(msg)
					}
				)
		},
		getResult() {
			let Arr = window.location.href.split('biz_token%3D')
			let token = JSON.parse(sessionStorage.getItem('userInfo')).token
			let url = 'tripartite/getResult'
			if (!(this.$route.query.companyCode && this.$route.query.contractCode)) {
				url = 'tripartite/getApproveResult'
			}
			this.$http
				.get({
					url: url,
					params: {
						bizToken: Arr.length > 1 ? Arr[1] : '',
						token
					}
				})
				.then(
					res => {
						if (JSON.parse(res.data).result_code == 1000) {
							if (
								this.$route.query.companyCode &&
								this.$route.query.contractCode
							) {
								window.location.href = `http://ldTest.ooteco.com/#/ContractViewFile?contractCode=${
									this.$route.query.contractCode.split('?biz_token')[0]
								}&companyCode=${this.$route.query.companyCode}&token=${token}`
								// this.go('http://ldTest.ooteco.com/#/ContractViewFile', {
								// 	contractCode: this.$route.query.contractCode.split(
								// 		'?biz_token'
								// 	)[0],
								// 	companyCode: this.$route.query.companyCode,
								// 	token
								// })
							} else {
								this.alert('验证成功，请前往PC端继续操作', () => {})
							}
						} else {
							var errorMsg = ''
							let key = JSON.parse(res.data).result_message
							if (key) {
								errorMsg = err_msg[key]
							} else {
								errorMsg = err_msg[JSON.parse(res.data).error]
							}
							this.alert(
								'验证失败，' +
									errorMsg +
									',请前往PC端重新生成二维码进行人脸识别',
								() => {}
							)
						}
					},
					msg => {
						this.alert(msg)
					}
				)
		}
	},
	mounted() {
		this.init(() => {
			this.getResult()
		})
	}
}
</script>

<style lang="less" scoped>
</style>
